Page MenuHomePhabricator

evas/engine: changed the default ector engine to native engine. To change the engine to cairo use ECTOR_BACKEND=cairo
AbandonedPublic

Authored by Hermet on May 19 2016, 7:03 PM.

Details

Reviewers
cedric
smohanty
Summary

the default cairo backend always creates confusion .. so changed the default backend to native one , and user has to set ECTOR_BACKEND=cairo to use cairo backend

Diff Detail

Repository
rEFL core/efl
Branch
cairo
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1924
Build 1989: arc lint + arc unit
smohanty updated this revision to Diff 9122.May 19 2016, 7:03 PM
smohanty retitled this revision from to evas/engine: changed the default ector engine to native engine. To change the engine to cairo use ECTOR_BACKEND=cairo.
smohanty updated this object.
smohanty edited the test plan for this revision. (Show Details)
smohanty updated this object.May 19 2016, 7:34 PM
cedric requested changes to this revision.May 31 2016, 2:35 PM
cedric edited edge metadata.
cedric added a subscriber: vtorri.

Until we do have a proper test suite that make sure we do match SVG specification, we can't switch to our own backend as cairo already proved they can do SVG support and we haven't. If you just rename, default to freetype as it was before, it would be as accurate and I would accept that patch.

If you want to make our freetype based one the default, we need a test suite. Also I am pretty sure we are not following SVG specification correctly at the moment as a bug open by @vtorri is still not closed/investigated.

This revision now requires changes to proceed.May 31 2016, 2:35 PM

@cedric , the issue that vtorri raised was on cairo backend in windows.

@smohanty : do you mean the width which is not 1 ?

raster added a subscriber: raster.Jul 11 2016, 12:18 AM

so what to do with this? abandon? i assume so - not ready yet. need more tests. even so ft outline rendering may not match ciaro pixel for pixel but that's kind of ok. we need to ensure its correct or not for sure.

The native backend is more updated than the cairo one as no one is maintaining the cairo backend. so i still think we need to change the default backend to not use cairo

Hermet edited edge metadata.EditedOct 5 2016, 11:17 PM

@raster @cedric even cairo backend hasn't been proved. What does mean of sticking Cairo now? As subranthu said, even Cairo backend has crahses in using APIs. I believe no one use/test cairo backend but native is much used and tested.

Hermet commandeered this revision.Mar 27 2019, 6:38 PM
Hermet edited reviewers, added: smohanty; removed: Hermet.
Hermet abandoned this revision.Mar 27 2019, 6:38 PM

This is a too old patch, nobody keeps tracking on this anymore.

imho, if cairo backend has bugs that the native one has not, and if it is not maintained anymore, it should just be dropped

we have too much dependencies and the EFL should be simplified (less configuration, less code to maintain)

and we should open a task to mention we must have a test suite